Retrieve all Solana NFTs

Returns all Solana NFTs that have been minted. Can be set to include the NFT metadata, file_information, collection_infomation and all which includes full details like in Retrieve Solana NFT details.

In this endpoint, non-Enterprise users can only retrieve NFTs minted in the past 90 days. Access to full history is available on the Enterprise tier.

Useful for:

  • Big data analysis or analytics with all the NFTs.
  • Keeping track of all the created NFTs.
  • Importing all NFTs to your application.

Related:

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
1 to 50
Defaults to 50

The number of results returned per page. Limit can range between 1 and 50, and the default is 50.

string

Continuation. Pass this value from the previous response to fetch the next page.

include
array of objects
required
Defaults to metadata

Include optional data in the response. metadata includes NFT metadata, file_information includes extra information of the NFT’s file, collection_infomation includes information of the NFT’s collection and all includes full details like in Retrieve NFT details. Fields can be combined to get desired result.

include*

An enumeration.

Response

nfts property that contains an array of up to page_size NFTs. Each entry in the array is a separate NFT. If no more NFTs are available, the resulting array will be empty.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json